com.h3c.sdn.nodemgr.model

## Class ARPTableEntry

- java.lang.Object
- - com.h3c.sdn.nodemgr.model.ARPTableEntry

- Deprecated.

      @Deprecated
      public class ARPTableEntry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ARPTableEntry()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Deprecated.
    `long` | `getAge()` Deprecated.
    `int` | `getIpAddress()` Deprecated.
    `long` | `getlastAccessed()` Deprecated.
    `long` | `getMacAddress()` Deprecated.
    `Entity.ENTRY_TYPE` | `getType()` Deprecated.
    `int` | `getVnet_id()` Deprecated.
    `int` | `hashCode()` Deprecated.
    `void` | `setAge(long age)` Deprecated.
    `void` | `setIpAddress(int ipAddress)` Deprecated.
    `void` | `setlastAccessed(long timeStamp)` Deprecated.
    `void` | `setMacAddress(long macAddress)` Deprecated.
    `void` | `setType(Entity.ENTRY_TYPE type)` Deprecated.
    `void` | `setVnet_id(int vnet_id)` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ARPTableEntry

          public ARPTableEntry()

      Deprecated.

  - ### Method Detail

    - #### getIpAddress

          public int getIpAddress()

      Deprecated.
      Returns:
        the ipAddress

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### setIpAddress

          public void setIpAddress(int ipAddress)

      Deprecated.
      Parameters:
        `ipAddress` - the ipAddress to set

    - #### getMacAddress

          public long getMacAddress()

      Deprecated.
      Returns:
        the macAddress

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

    - #### setMacAddress

          public void setMacAddress(long macAddress)

      Deprecated.
      Parameters:
        `macAddress` - the macAddress to set

    - #### getType

          public Entity.ENTRY_TYPE getType()

      Deprecated.
      Returns:
        the type

    - #### setType

          public void setType(Entity.ENTRY_TYPE type)

      Deprecated.
      Parameters:
        `type` - the type to set

    - #### getVnet_id

          public int getVnet_id()

      Deprecated.
      Returns:
        the vnet_id

    - #### setVnet_id

          public void setVnet_id(int vnet_id)

      Deprecated.
      Parameters:
        `vnet_id` - the vnet_id to set

    - #### getAge

          public long getAge()

      Deprecated.
      Returns:
        the age

    - #### setAge

          public void setAge(long age)

      Deprecated.
      Parameters:
        `age` - the age to set

    - #### getlastAccessed

          public long getlastAccessed()

      Deprecated.

    - #### setlastAccessed

          public void setlastAccessed(long timeStamp)

      Deprecated.

Copyright © 2014. All Rights Reserved.